[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# lock_linear_region

Lock linear memory region

## Declaration

Source position: go32.pp line 140

`function lock_linear_region(`
`linearaddr: LongInt;`
`size: LongInt`
`):Boolean;`

## Description

Locks a memory region to prevent swapping of it.

Parameters:

linearaddr
  the linear address of the memory are to be locked.
size
  size in bytes to be locked.

Return value: True if successful, False otherwise.

## Errors

Check the int31error variable.

## See also

lock_data |  | Lock data memory range
lock_code |  | Lock code memory range
unlock_linear_region |  | Unlock linear memory region
unlock_data |  | Unlock data segment
unlock_code |  | Unlock code segment

Documentation generated on: Feb 26 2014